Skip to main content
GET
/
api
/
v1
/
settlements
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/settlements \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantName": "<string>",
        "periodStart": "2023-12-25",
        "periodEnd": "2023-12-25",
        "bankCode": "<string>",
        "currency": "<string>",
        "grossAmount": 123,
        "refundAmount": 123,
        "bankCommission": 123,
        "platformCommission": 123,
        "netAmount": 123,
        "transactionCount": 123,
        "refundCount": 123,
        "status": "<string>",
        "settledAt": "2023-11-07T05:31:56Z",
        "bankReference": "<string>",
        "notes": "<string>",
        "created": "2023-11-07T05:31:56Z"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Page
integer<int32>
PageSize
integer<int32>
MerchantId
string<uuid>
BankCode
string
Status
enum<integer>
Available options:
Pending,
Processing,
Settled,
Failed
StartDate
string<date>
EndDate
string<date>

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object